org.apache.cassandra.db

## Class RangeTombstone

- java.lang.Object
- - org.apache.cassandra.db.RangeTombstone

    public class RangeTombstone
    extends java.lang.Object

A range tombstone is a tombstone that covers a slice/range of rows.

Note that in most of the storage engine, a range tombstone is actually represented by its separated opening and closing bound, see `RangeTombstoneMarker`. So in practice, this is only used when full partitions are materialized in memory in a `Partition` object, and more precisely through the use of a `RangeTombstoneList` in a `DeletionInfo` object.

### Constructor Summary

Constructors
Constructor and Description
`RangeTombstone(Slice slice, DeletionTime deletion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Slice` `deletedSlice()` The slice of rows that is deleted by this range tombstone.
`DeletionTime` `deletionTime()` The deletion time for this (range) tombstone.
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`java.lang.String` `toString(ClusteringComparator comparator)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeTombstone

    public RangeTombstone(Slice slice,
                          DeletionTime deletion)

### Method Detail

#### deletedSlice

    public Slice deletedSlice()

The slice of rows that is deleted by this range tombstone.

Returns:
  the slice of rows that is deleted by this range tombstone.

#### deletionTime

    public DeletionTime deletionTime()

The deletion time for this (range) tombstone.

Returns:
  the deletion time for this range tombstone.

#### toString

    public java.lang.String toString(ClusteringComparator comparator)

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`